# Retrieve an job by ID. Retrieves an job for the provided job ID. The endpoint requires the `personio:recruiting:read` scope. > 🚧 Warning > > This endpoint is in beta, and may be subject to change. > Please report any bugs to [Help & Feedback](https://support.personio.de/hc/en-us/articles/5659436229277-Help-Feedback) section. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "Recruiting (Beta)", "description": "Collection of endpoints to manage recruiting applications.", "version": "2.0.0" }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "paths": { "/v2/recruiting/jobs/{id}": { "get": { "summary": "Retrieve an job by ID.", "description": "Retrieves an job for the provided job ID.\nThe endpoint requires the `personio:recruiting:read` scope.\n\n> 🚧 Warning\n>\n> This endpoint is in beta, and may be subject to change.\n> Please report any bugs to [Help & Feedback](https://support.personio.de/hc/en-us/articles/5659436229277-Help-Feedback) section.", "tags": [ "Jobs" ], "parameters": [ { "description": "ID of job.", "in": "path", "name": "id", "schema": { "type": "string" }, "required": true, "example": "495039" }, { "description": "As this is a Beta endpoint, the Beta header must be provided with the value `true`.", "in": "header", "name": "Beta", "schema": { "type": "string", "example": "true" } } ], "x-path-examples": { "200 Retrieve job by ID": { "value": "/v2/recruiting/jobs/495039" }, "404 Retrieve non-existing job": { "value": "/v2/recruiting/jobs/id-that-does-not-exist" } }, "responses": { "200": { "description": "Successful response.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Job" }, "examples": { "200 Retrieve job by ID": { "$ref": "#/components/examples/JobResponse" } } } } }, "404": { "description": "Job not found.", "content": { "application/problem+json": { "schema": { "$ref": "#/paths/~1v2~1recruiting~1jobs/get/responses/400/content/application~1problem%2Bjson/schema" }, "examples": { "404 Retrieve non-existing job": { "$ref": "#/components/examples/ResourceNotFound" } } } } } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "bearerFormat": "JWT" } }, "schemas": { "CategoryRef": { "description": "The job category minimalized object.", "type": "object", "required": [ "id" ], "properties": { "id": { "description": "The unique identifier of a job category.", "readOnly": true, "type": "string", "example": "324" }, "name": { "description": "The name of a job category.", "readOnly": true, "type": "string", "example": "Technology Position" }, "_meta": { "$ref": "#/components/schemas/Job/properties/_meta" } } }, "CompanyRef": { "description": "The company object.", "type": "object", "required": [ "id" ], "properties": { "id": { "description": "The unique identifier of a company.", "readOnly": true, "type": "string", "example": "324" }, "_meta": { "$ref": "#/components/schemas/Job/properties/_meta" } } }, "DepartmentRef": { "description": "The company department object.", "type": "object", "required": [ "id" ], "properties": { "id": { "description": "The unique identifier of a department.", "readOnly": true, "type": "string", "example": "324" }, "name": { "description": "The name of a department.", "readOnly": true, "type": "string", "example": "HR" }, "_meta": { "$ref": "#/components/schemas/Job/properties/_meta" } } }, "Job": { "description": "Recruiting job object.", "type": "object", "required": [ "id", "name", "company" ], "properties": { "id": { "description": "The unique identifier of a Job.", "type": "string", "readOnly": true, "example": "9823749" }, "department": { "$ref": "#/components/schemas/DepartmentRef" }, "company": { "$ref": "#/components/schemas/CompanyRef" }, "name": { "description": "Job title.", "readOnly": true, "type": "string", "example": "Software Developer" }, "category": { "$ref": "#/components/schemas/CategoryRef" }, "hiring_team": { "description": "List of hiring team members assigned to the job.", "type": "array", "items": { "$ref": "#/components/schemas/HiringTeamMember" } }, "created_at": { "description": "Creation date of a job.", "readOnly": true, "type": "object", "required": [ "date-time", "timezone" ], "properties": { "date-time": { "type": "string", "description": "Timestamp with UTC offset.", "format": "date-time" }, "timezone": { "type": "string", "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).", "example": "Europe/Berlin" } } }, "updated_at": { "description": "Last modification date of a job.", "readOnly": true, "type": "object", "required": [ "date-time", "timezone" ], "properties": { "date-time": { "type": "string", "description": "Timestamp with UTC offset.", "format": "date-time" }, "timezone": { "type": "string", "description": "Provide a time zone ID that conforms to the [Time Zone Database](https://www.iana.org/time-zones).", "example": "Europe/Berlin" } } }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } }, "HiringTeamMember": { "description": "Hiring team member object.", "type": "object", "required": [ "person", "role" ], "properties": { "person": { "$ref": "#/components/schemas/PersonRef" }, "role": { "$ref": "#/components/schemas/RecruitingRoleRef" } } }, "PersonRef": { "description": "The person object.", "type": "object", "required": [ "id" ], "properties": { "id": { "description": "The unique identifier of a person.", "readOnly": true, "type": "string", "example": "324" }, "_meta": { "$ref": "#/components/schemas/Job/properties/_meta" } } }, "RecruitingRoleRef": { "description": "The recruiting role object.", "type": "object", "required": [ "name" ], "properties": { "name": { "description": "The name of a role.", "readOnly": true, "type": "string", "example": "HR manager" } } } }, "examples": { "ResourceNotFound": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Resource not found", "detail": "There is no resource for the specified ID.", "type": "https://developer.personio.de/v2.0/page/public-api-error-codes#common.resource_not_found" } ] } }, "JobResponse": { "value": { "id": "495039", "company": { "id": "10567" }, "name": "Software Developer", "category": { "id": "13415", "name": "Technology" }, "department": { "id": "321", "name": "IT" }, "hiring_team": [ { "person": { "id": "98765", "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/persons/98765" } } } }, "role": { "name": "HR manager" } } ], "created_at": { "date-time": "2023-12-11T14:50:17Z", "timezone": "UTC" }, "updated_at": { "date-time": "2023-12-11T14:50:17Z", "timezone": "UTC" }, "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/recruiting/jobs/495039" } } } } } } } } ```